<id>
Collapse/Expand Thread Icons and User Permissions
</id>

<version>
1.7
</version>

<mod info>
This mod allows users/guests to collapse/expand Thread Icons and User Permissions.

Installation:
1) Modify YaBB files using BoardMod or manually.
2) Load modified files to your server in ASCII mode.

cgi-bin/yabb2/Admin/ManageTemplates.pm
cgi-bin/yabb2/Admin/ModList.pm
cgi-bin/yabb2/Languages/English/MessageIndex.lng
cgi-bin/yabb2/Sources/MessageIndex.pm
cgi-bin/yabb2/Templates/default/MessageIndex.template
yabbfiles/Templates/Forum/default.css

yabbfiles/ModImages/iconslayer_down.gif (Binary)
yabbfiles/ModImages/iconslayer_up.gif (Binary)

Mod History:
Status Collapse/Expand Thread Icons and User Permissions V1.4 ( June 18, 2014)
- Update for YaBB 2.6.0

Status Collapse/Expand Thread Icons and User Permissions V1.3 ( April 19th, 2009)
- Update for YaBB 2.4
V1.6 - update for YaBB 2.6.1 Build 1606 - November 26, 2014
V1.7 - update for YaBB 2.6.11 Build 1611 - December 12, 2014
</mod info>

<author>
Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li). Updated for 2.6.0/2.6.1 by Dandello
</author>

<homepage>
http://www.yabbforumsoftware.com/cgi-bin/yabb2/YaBB.pl
</homepage>

<edit file>
Admin/ManageTemplates.pm
</edit file>

<search for>
    $messageindex_template =~ s/({|<)yabb icons(}|>)/$tempyabbicons/gsm;
</search for>

<add after>
    $messageindex_template =~ s/({|<)yabb yabbiconslayer(}|>)/$yabbiconslayer/gsm;
</add after>

<edit file>
Admin/ModList.pm
</edit file>

<search for>
### END BOARDMOD ANCHOR ###
</search for>

<add before>
## Collapse/Expand Thread Icons and User Permissions Mod ##
    $yabbiconslayer = "Collapse/Expand Thread Icons and your Permission|Boris Tjuvanov (MF-B) and Jeffrey Man (Jet Li). Updated for 2.6.0/2.6.1 by Dandello|This mod allows users/guests to collapse/expand Thread Icons and your Permission Info.|1.6|Nov 26th, 2014";
    push @installed_mods, $yabbiconslayer;
</add before>

<edit file>
Languages/English/MessageIndex.lng
</edit file>

<search for>
1;
</search for>

<add before>
$messageindex_txt{'902'} = 'Thread Icons and User Permissions';

</add before>

<edit file>
Sources/MessageIndex.pm
</edit file>

<search for>
    if ( !$messagelist ) {
        $yabbicons = qq~
    $micon{'thread'} $messageindex_txt{'457'}<br />
    $micon{'sticky'} $messageindex_txt{'779'}<br />
    $micon{'locked'} $messageindex_txt{'456'}<br />
    $micon{'stickylock'} $messageindex_txt{'780'}<br />
    $micon{'locked_moved'} $messageindex_txt{'845'}<br />
~;
        if ( ($staff)
            && $sessionvalid == 1 )
        {
            $yabbadminicons = qq~
    $micon{'hide'} $messageindex_txt{'458'}<br />
    $micon{'hidesticky'} $messageindex_txt{'459'}<br />
    $micon{'hidelock'} $messageindex_txt{'460'}<br />
    $micon{'hidestickylock'} $messageindex_txt{'461'}<br />~;
        }
        $yabbadminicons .= qq~
    $micon{'announcement'} $messageindex_txt{'779a'}<br />
    $micon{'announcementlock'} $messageindex_txt{'779b'}<br />
    $micon{'hotthread'} $messageindex_txt{'454'} $HotTopic $messageindex_txt{'454a'}<br />
    $micon{'veryhotthread'} $messageindex_txt{'455'} $VeryHotTopic $messageindex_txt{'454a'}<br />
~;

        LoadAccess();
    }
</search for>

<add after>
    $yabbiconslayer = qq~
<a href="javascript:void(0);" onclick="enabRules();">$messageindex_txt{'902'} <img name="imgrules" id="imgrules" alt="" src="$yyhtml_root/ModImages/iconslayer_down.gif" /></a>
<script type="text/javascript">
    var autorules = true;
    function enabRules() {
        if ( autorules == false ) {
            autorules = true;
            document.getElementById("iconrules").style.display = "none";
            document.images.imgrules.src="$yyhtml_root/ModImages/iconslayer_down.gif";
        } else {
        autorules = false;
        document.getElementById("iconrules").style.display = "";
        document.images.imgrules.src="$yyhtml_root/ModImages/iconslayer_up.gif";
    }
}
</script>
~;
</add after>

<search for>
    $messageindex_template =~ s/{yabb icons}/$yabbicons/gsm;
</search for>

<add after>
    $messageindex_template =~ s/{yabb yabbiconslayer}/$yabbiconslayer/gsm;
</add after>

<edit file>
Templates/default/MessageIndex.template
</edit file>

<search for>
<!-- Icon and access info start -->
            <table class="pad_8px board-perms">
                <colgroup>
                    <col style="width:28%" />
                    <col style="width:38%" />
                    <col style="width:33%" />
                </colgroup>
                <tr>
                    <td class="vtop">
                        <span class="small">{yabb icons}</span>
                    </td>
                    <td class="vtop">
                        <span class="small">{yabb admin icons}</span>
                    </td>
                    <td class="vtop">
                        <span class="small">{yabb access}</span>
                    </td>
                </tr>
            </table>
<!-- Icon and access info end -->
</search for>

<replace>
<!-- Icon and access info start -->
        <div class="iconrules">
{yabb yabbiconslayer}
        <div id="iconrules" style="display: none;">
            <table class="pad_8px board-perms">
                <colgroup>
                    <col style="width:28%" />
                    <col style="width:38%" />
                    <col style="width:33%" />
                </colgroup>
                <tr>
                    <td class="vtop">
                        <span class="small">{yabb icons}</span>
                    </td>
                    <td class="vtop">
                        <span class="small">{yabb admin icons}</span>
                    </td>
                    <td class="vtop">
                        <span class="small">{yabb access}</span>
                    </td>
                </tr>
            </table>
        </div>
    </div>
<!-- Icon and access info end -->
</replace>

<edit file>
..\..\public_html\yabbfiles\Templates\Forum\default.css
</edit file>

<search for>
.off-color { color:#ccc;}
</search for>

<add after>

.iconrules {
    border: #c2c6cf solid 1px;
    padding: 5px;
    margin: 5px 0 0 0;
}
</add after>